<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Create a DataFrame</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for createDataFrame {SparkR}"><tr><td>createDataFrame {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Create a DataFrame</h2>

<h3>Description</h3>

<p>Converts R data.frame or list into DataFrame.
</p>


<h3>Usage</h3>

<pre>
createDataFrame(sqlContext, data, schema = NULL, samplingRatio = 1)

as.DataFrame(sqlContext, data, schema = NULL, samplingRatio = 1)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>A SQLContext</p>
</td></tr>
<tr valign="top"><td><code>data</code></td>
<td>
<p>An RDD or list or data.frame</p>
</td></tr>
<tr valign="top"><td><code>schema</code></td>
<td>
<p>a list of column names or named list (StructType), optional</p>
</td></tr>
</table>


<h3>Value</h3>

<p>an DataFrame
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
df1 &lt;- as.DataFrame(sqlContext, iris)
df2 &lt;- as.DataFrame(sqlContext, list(3,4,5,6))
df3 &lt;- createDataFrame(sqlContext, iris)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
